// program.c

#include <stdio.h>          /* Standard input/output definitions */
#include <string.h>         /* String function definitions */
#include <unistd.h>         /* UNIX standard function definitions */
#include <fcntl.h>          /* File control definitions */
#include <errno.h>          /* Error number definitions */


unsigned get_flash_size(unsigned mfg,unsigned dev)
{
  unsigned size=0;
  if (mfg==0x89) {
    switch(dev) {
      case 0x2275:  size=256*1024;break;
      case 0x4471:  size=512*1024;break;
      default:      size=0;break;
    }
  }
  if (!size)
    printf("Unrecognized flash mfg/device ID:  mfg=0x%x, dev=0x%04x\n",mfg,dev);
  return size;
}  


